Bug 507703 - Review Request: perl-Proc-Simple - Launch and control background processes
Review Request: perl-Proc-Simple - Launch and control background processes
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 493246
  Show dependency treegraph
 
Reported: 2009-06-23 16:06 EDT by Jan Klepek
Modified: 2009-07-22 17:55 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.25-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 17:55:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jan Klepek 2009-06-23 16:06:52 EDT
Spec URL: http://hpejakle.fedorapeople.org/packages/perl-Proc-Simple.spec
SRPM URL: http://hpejakle.fedorapeople.org/packages/perl-Proc-Simple-1.24-1.fc11.src.rpm
Description: 
The Proc::Simple package provides objects mimicing real-life processes from
a user's point of view. Either external programs or perl subroutines can be launched and controlled as processes in the background.
Comment 1 Jan Klepek 2009-06-23 16:18:23 EDT
koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1432455
Comment 2 Lubomir Rintel 2009-06-26 09:34:20 EDT
1.) Please remove Require: perl(Test::More) dependency, the runtime does not
depend on the testing framework.  

2.) Licensing

Proc/Simple.pm contains this:
# This program is free software, you can redistribute it and/or 
# modify it under the same terms as Perl itself.

Neither README nor POD documentation contains it -- please ask upstream to include the licensing conditions there.

* rpmlint is quiet
* name is well according to the guidelines
* source matches upstream
* clean and legible SPEC file, American English
* runs testsuite
* builds file in mock
* filelists, documentation ok

Needs work:
- sane provides/requires
- license
Comment 3 Liang Suilong 2009-06-26 10:08:04 EDT
Jan Klepek

1) In my opinion, you maybe need to correct %file section. Because %{perl_vendorlib}/Proc would be owned by another packages like perl-Proc-*.

I think these are better.

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Proc/*
%{_mandir}/man3/*

2) That BuildArch is noarch seems not to be suitable for it. As I see, building package for various architectures may be better than noarch. So I advise that BuildArch should be removed.
Comment 4 Lubomir Rintel 2009-06-26 10:31:16 EDT
(In reply to comment #3)
> Jan Klepek
> 
> 1) In my opinion, you maybe need to correct %file section. Because
> %{perl_vendorlib}/Proc would be owned by another packages like perl-Proc-*.
> 
> I think these are better.
> 
> %files
> %defattr(-,root,root,-)
> %doc Changes README
> %{perl_vendorlib}/Proc/*
> %{_mandir}/man3/*

This is not right -- that would leave an unowned %{perl_vendorlib}/Proc upon removal of the package, which violates the guidelines. Sharing directories is completely fine. Jan, please don't change that.

> 2) That BuildArch is noarch seems not to be suitable for it. As I see, building
> package for various architectures may be better than noarch. So I advise that
> BuildArch should be removed.  

Wrong. There's nothing arch-specific in the package; it's definitely noarch.
Comment 5 Jan Klepek 2009-06-28 11:47:03 EDT
(In reply to comment #2)
> 1.) Please remove Require: perl(Test::More) dependency, the runtime does not
> depend on the testing framework.  
> 
- Fixed

> 2.) Licensing
> 
> Proc/Simple.pm contains this:
> # This program is free software, you can redistribute it and/or 
> # modify it under the same terms as Perl itself.
> 
> Neither README nor POD documentation contains it -- please ask upstream to
> include the licensing conditions there.
 
- fixed, upstream provided new version

Spec URL: http://hpejakle.fedorapeople.org/packages/perl-Proc-Simple.spec
SRPM URL: http://hpejakle.fedorapeople.org/packages/perl-Proc-Simple-1.25-1.fc11.src.rpm
Comment 6 Liang Suilong 2009-07-04 02:27:19 EDT
Ping?

Does anyone continue to do package review?
Comment 7 Lubomir Rintel 2009-07-07 05:44:31 EDT
Thank you Jan, seems fine now.

APPROVED
Comment 8 Jan Klepek 2009-07-07 07:48:43 EDT
New Package CVS Request
=======================
Package Name: perl-Proc-Simple
Short Description: Launch and control background processes
Owners: hpejakle
Branches: F-10 F-11 F-12
InitialCC:
Comment 9 Jason Tibbitts 2009-07-08 12:26:29 EDT
We cannot create F-12 branches yet.  It is way too early for that.

Otherwise, CVS done.
Comment 10 Liang Suilong 2009-07-14 23:22:26 EDT
Please rebuild this package on koji and submit push
requests on bodhi for F-10/11.
Comment 11 Fedora Update System 2009-07-17 16:35:53 EDT
perl-Proc-Simple-1.25-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Proc-Simple-1.25-1.fc10
Comment 12 Fedora Update System 2009-07-17 16:35:58 EDT
perl-Proc-Simple-1.25-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Proc-Simple-1.25-1.fc11
Comment 13 Fedora Update System 2009-07-22 17:54:55 EDT
perl-Proc-Simple-1.25-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-07-22 17:55:27 EDT
perl-Proc-Simple-1.25-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.